---
title: "List locations · API | Rdp.Vision"
description: "GET /catalog/regions: The data centre locations. Pass the id as region_id when ordering."
url: https://rdp.vision/docs/api/catalog/regions
---

Open in AI

[ChatGPT](https://chatgpt.com/?q=Read%20https%3A%2F%2Frdp.vision%2Fdocs%2Fapi%2Fcatalog%2Fregions.md%20and%20help%20me%20use%20the%20Rdp.Vision%20API.)[Claude](https://claude.ai/new?q=Read%20https%3A%2F%2Frdp.vision%2Fdocs%2Fapi%2Fcatalog%2Fregions.md%20and%20help%20me%20use%20the%20Rdp.Vision%20API.)

Catalog

# List locations

The data centre locations. Pass the id as region\_id when ordering.

GET`/catalog/regions`

## Authorization

None. This endpoint is public.

## Response

`id`integer

Location id.

`region`string

Short code.

`location`string

City or country.

## Status codes

- 200 | Success.
- 429 | More than 120 requests a minute with one key, or too many wrong keys from one address.

Request

curl "https://rdp.vision/api/v1/catalog/regions"

Response

\[
  {
    "id": 1,
    "region": "nl",
    "location": "Amsterdam"
  },
  {
    "id": 10,
    "region": "de",
    "location": "Frankfurt"
  },
  {
    "id": 6,
    "region": "nyc",
    "location": "New York City"
  }
\]
